﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Controls;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;

namespace FieldApp.Extensibility
{
	public class AddinHelper
	{

		public static ImageSource GetImageSource(Assembly MyAssembly, string sIconPath)
		{
			//Assembly MyAssembly = Assembly.GetExecutingAssembly();
			//string[] ResourceNames = MyAssembly.GetManifestResourceNames();
			Stream s = MyAssembly.GetManifestResourceStream(sIconPath);
			BitmapImage bmi = new BitmapImage();
			bmi.BeginInit();
			bmi.StreamSource = s;
			bmi.EndInit();
			return bmi;
		}

		public static Image GetImage(Assembly MyAssembly, string sIconPath)
		{
			Image img = new Image();
			img.Source = GetImageSource(MyAssembly, sIconPath);
			return img;
		}

		public static Cursor GetCursor(Assembly MyAssembly, string sCursorPath)
		{
			//string[] ResourceNames = MyAssembly.GetManifestResourceNames();
			Stream s = MyAssembly.GetManifestResourceStream(sCursorPath);
			return new Cursor(s);
		}

	}
}
