﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading;
using System.Windows;
using System.Windows.Threading;

using FieldApp.Extensibility;

namespace EditAddin
{

	public class SyncButton : EditButton
	{

		public SyncButton()
		{
			_MyAssembly = Assembly.GetExecutingAssembly();
			_sButtonContent = null;
			_sIconPath = "EditAddin.Images.Synchronize.png";
			_sToolTip = "Synchronize";
		}

		protected override void EdExecute()
		{
			Application.Current.Dispatcher.Invoke(DispatcherPriority.Background, new ThreadStart(this.Synchronize));
		}

		private void Synchronize()
		{
			EditBehavior.FieldHelper.Synchronize();
			EditBehavior.LocalLayer.Refresh();
		}

	}


}
