﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace FieldApp.Extensibility
{
	/// <summary>
	/// Interaction logic for frmListPicker.xaml
	/// </summary>
	partial class PickListDialog : Window
	{

		private string _sResult = "";

		public PickListDialog()
		{
			InitializeComponent();
			btnOK.Click += new RoutedEventHandler(btnOK_Click);
			btnCancel.Click += new RoutedEventHandler(btnCancel_Click);
		}

		public string Open(List<string> ChoiceList, string sCaption)
		{
			cbList.Items.Clear();
			cbList.Items.Add("");
			foreach (string sVal in ChoiceList)
				cbList.Items.Add(sVal);
			cbList.SelectedIndex = 0;
			this.Title = sCaption;
			this.ShowDialog();
			return _sResult;
		}

		void btnOK_Click(object sender, RoutedEventArgs e)
		{
			_sResult = cbList.Text;
			this.DialogResult = true;
		}

		void btnCancel_Click(object sender, RoutedEventArgs e)
		{
			this.DialogResult = false;
		}

	}
}
